Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 618638 - dev-qt/qtcore-4.8.7-r2:4[icu] fails to build with ICU >=59
Summary: dev-qt/qtcore-4.8.7-r2:4[icu] fails to build with ICU >=59
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
: 618768 623918 629456 632060 633402 635564 (view as bug list)
Depends on:
Blocks: icu-59
  Show dependency tree
 
Reported: 2017-05-16 11:10 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2017-12-02 05:55 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qtcore-4.8.7-r2.log (qtcore-4.8.7-r2.log,491.18 KB, text/plain)
2017-05-16 11:12 UTC, Arfrever Frehtes Taifersar Arahesis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2017-05-16 11:10:26 UTC
dev-qt/qtcore-4.8.7-r2:4[icu] fails to build with ICU >=59.


ICU auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -march=native -O2 -fno-ident -frecord-gcc-switches -pipe -Wall -std=gnu++98 -Wall -W  -I/var/tmp/portage/dev-qt/qtcore-4.8.7-r2/work/qt-everywhere-opensource-src-4.8.7/mkspecs/linux-g++ -I/var/tmp/portage/dev-qt/qtcore-4.8.7-r2/work/qt-everywhere-opensource-src-4.8.7/config.tests/unix/icu -I/var/tmp/portage/dev-qt/qtcore-4.8.7-r2/work/qt-everywhere-opensource-src-4.8.7/config.tests/unix/icu -I. -o icu.o /var/tmp/portage/dev-qt/qtcore-4.8.7-r2/work/qt-everywhere-opensource-src-4.8.7/config.tests/unix/icu/icu.cpp
In file included from /usr/include/unicode/utypes.h:38:0,
                 from /var/tmp/portage/dev-qt/qtcore-4.8.7-r2/work/qt-everywhere-opensource-src-4.8.7/config.tests/unix/icu/icu.cpp:42:
/usr/include/unicode/umachine.h:347:13: error: ‘char16_t’ does not name a type
     typedef char16_t UChar;
             ^~~~~~~~
In file included from /usr/include/unicode/utypes.h:39:0,
                 from /var/tmp/portage/dev-qt/qtcore-4.8.7-r2/work/qt-everywhere-opensource-src-4.8.7/config.tests/unix/icu/icu.cpp:42:
/usr/include/unicode/uversion.h:167:55: error: ‘UChar’ does not name a type
 u_versionFromUString(UVersionInfo versionArray, const UChar *versionString);
                                                       ^~~~~
...
Comment 1 Arfrever Frehtes Taifersar Arahesis 2017-05-16 11:12:31 UTC
Created attachment 472770 [details]
qtcore-4.8.7-r2.log
Comment 2 Arfrever Frehtes Taifersar Arahesis 2017-05-16 11:24:18 UTC
This ebuild currently forcefully uses compilation in C++ 1998 mode due to qt4-build-multilib.eclass having:
append-cxxflags -std=gnu++98

Switching to C++ >=2011 mode is sufficient to fix compilation of dev-qt/qtcore:4.
However all of Qt 4 probably should be built in the same mode to avoid potential problems, and currently there is no complete fix for dev-qt/qtwebkit:4 (bug #618640).
Comment 3 Davide Pesavento gentoo-dev 2017-05-17 16:47:02 UTC
*** Bug 618768 has been marked as a duplicate of this bug. ***
Comment 4 Davide Pesavento gentoo-dev 2017-05-17 16:50:22 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #2)
> Switching to C++ >=2011 mode is sufficient to fix compilation of
> dev-qt/qtcore:4.

That's not going to happen. Looks like icu >= 59 will have to stay masked for a long time (I am going to change the dep in qt{core,webkit} to =58* though).
Comment 5 Arfrever Frehtes Taifersar Arahesis 2017-05-17 18:51:07 UTC
dev-qt/qtcore:4[icu] seems to have no reverse dependencies, so this flag could be masked for dev-qt/qtcore:4.

ICU 59 fixes some security bugs, so it should not be masked for long time.
Comment 6 Andreas K. Hüttel gentoo-dev 2017-06-11 18:58:39 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #5)
> dev-qt/qtcore:4[icu] seems to have no reverse dependencies, so this flag
> could be masked for dev-qt/qtcore:4.

It's now masked in the 17.0 profiles (which are where ICU 59 will be unmasked).

So I consider this bug "done"... if you disagree please reopen.
Comment 7 Davide Pesavento gentoo-dev 2017-07-05 23:35:29 UTC
*** Bug 623918 has been marked as a duplicate of this bug. ***
Comment 8 Davide Pesavento gentoo-dev 2017-08-31 19:21:15 UTC
*** Bug 629456 has been marked as a duplicate of this bug. ***
Comment 9 Michael Palimaka (kensington) gentoo-dev 2017-09-30 07:30:21 UTC
*** Bug 632060 has been marked as a duplicate of this bug. ***
Comment 10 Andreas Sturmlechner gentoo-dev 2017-10-03 17:40:06 UTC
*** Bug 633402 has been marked as a duplicate of this bug. ***
Comment 11 Dennis Schridde 2017-10-22 12:10:25 UTC
(In reply to Davide Pesavento from comment #4)
> I am going to change the dep in qt{core,webkit} to =58* though.

I believe this was not done, at least the icu dependency for qtcore is not fixed to any version number in the current tree.
Comment 12 Michael Palimaka (kensington) gentoo-dev 2017-10-28 04:16:58 UTC
*** Bug 635564 has been marked as a duplicate of this bug. ***
Comment 13 Davide Pesavento gentoo-dev 2017-12-02 05:55:17 UTC
(In reply to Dennis Schridde from comment #11)
> (In reply to Davide Pesavento from comment #4)
> > I am going to change the dep in qt{core,webkit} to =58* though.
> 
> I believe this was not done, at least the icu dependency for qtcore is not
> fixed to any version number in the current tree.

Done now. Thanks for reminding me.